## findimagedupes 2.20.1

=== Makefile ===

STEPS = github dist all

FILES = findimagedupes COPYING README.md history
EPHEMERAL = history VERSION

.PHONY: $(STEPS) clean

README.md: findimagedupes
	pod2markdown findimagedupes README.md
	git add README.md
	git commit -m 'synchronise README.md with findimagedupes source' || true

github: README.md
	git push github master

all: dist

clean:
	git checkout -f

reallyclean:
	git clean -d -f

dist: README.md
	git describe --tags > VERSION
	./patchver 
	git log --decorate=short -- findimagedupes | grep -v '^Author:' > history
	tar cvzf findimagedupes-`cat VERSION`.tar.gz $(FILES)
	git checkout findimagedupes
	rm $(EPHEMERAL)

## findimagedupes 2.18

=== debian/changelog ===
findimagedupes (2.18-7) unstable; urgency=medium

  * debhelper 10
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * DEP5

 -- Andreas Tille <tille@debian.org>  Sat, 12 Jan 2019 08:35:12 +0100

findimagedupes (2.18-6) unstable; urgency=medium

  * Team upload.
  * Applied patch new-inline to handle versions of Inline >= 0.67. Thanks
    a lot to Damyan Ivanov and Gregor Herrmann for the patch! (Closes:
    #758247).

 -- Ralf Treinen <treinen@debian.org>  Mon, 18 Aug 2014 09:07:25 +0200

findimagedupes (2.18-5) unstable; urgency=medium

  * debian/sources/format: 3.0 (quilt), consequently use patches
  * debhelper 9
  * cme fix dpkg-control
  * Explicitly (build-) depend on libinline-c-perl (thanks for the patch
    to gregor herrmann)
    Closes: #754571

 -- Andreas Tille <tille@debian.org>  Sun, 13 Jul 2014 00:08:29 +0200

findimagedupes (2.18-4) unstable; urgency=low

  [ Niko Tyni ]
  * Use Inline::MakeMaker to keep the C parts working across
    binary compatible Perl upgrades. (Closes: #549447)
  * Build-Depend on cdbs (>= 0.4.57) to make sure 'make install'
    uses DESTDIR and not PREFIX (which doesn't work with the way
    we set the private library installation path through LIB).
  * Rework the installation instructions removal a bit so that
    'debian/rules clean' undoes the effects.

  [ Manuel Prinz ]
  * Bumped Standards-Version to 3.8.3. No changes needed.
  * Added versioned Build-Depends on debhelper.

 -- Manuel Prinz <manuel@debian.org>  Mon, 26 Oct 2009 21:56:03 +0100

findimagedupes (2.18-3) unstable; urgency=low

  * Corrected path in DIRECTORY config option. Closes: #532318.

 -- Manuel Prinz <manuel@debian.org>  Mon, 08 Jun 2009 16:44:31 +0200

findimagedupes (2.18-2) unstable; urgency=low

  * Removed installation instructions from manpage. Closes: #531145.
  * Bumped Standards-Version to 3.8.1. No changes needed.

 -- Manuel Prinz <manuel@debian.org>  Wed, 03 Jun 2009 00:50:20 +0200

findimagedupes (2.18-1) unstable; urgency=low

  [ Andreas Tille ]
  * debian/copyright: Use <code@jhnc.org> as upstream copyright
    holders address and also use Jonathan H N Chin as author because
    he has taken over upstream maintenance

 -- Manuel Prinz <manuel@debian.org>  Fri, 19 Dec 2008 09:06:01 +0100

findimagedupes (2.17-1) unstable; urgency=low

  * New Upstream Version

 -- Manuel Prinz <manuel@debian.org>  Wed, 17 Dec 2008 13:23:43 +0100

findimagedupes (2.14-1) unstable; urgency=low

  [ Manuel Prinz ]
  * Replaced the patch file by a sed call in debian/rules
  * Installing upstream changelog
  * Fixed lintian warnings about too long lines in debian/copyright
  * Changed my email address in Uploaders field
  * Fixed debhelper-but-no-misc-depends lintian warning by adding
    ${misc:Depends} to the Depends field of the binary package

  [ Andreas Tille ]
  * New upstream version  (Closes: #507956)
  * debian/control: Remove explicit versions on build depends

 -- Manuel Prinz <manuel@debian.org>  Tue, 09 Dec 2008 18:53:42 +0100

findimagedupes (2.11-2) unstable; urgency=low

  [ Andreas Tille ]
  * Added perlapi dependency. Thanks to Manuel Prinz <debian@pinguinkiste.de>
    and Niko Tyni <ntyni@debian.org> for the hints. (Closes: #488148)

  [ Manuel Prinz ]
  * debian/control:
    - Added myself to Uploaders
    - Changed Vcs-* fields to point to Git repository

 -- Manuel Prinz <debian@pinguinkiste.de>  Wed, 02 Jul 2008 22:31:20 +0200

findimagedupes (2.11-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.0 (no changes necessary)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jun 2008 09:19:19 +0200

findimagedupes (2.7-3) unstable; urgency=low

  * Group maintenance by Debian Science Team
  * Vcs fields
  * Package recompiled to work with new perl version
    Closes: #479731
  * Machine readable debian/copyright
  * Added versioned Depends perl (>= 5.10.0) because the version
    compiled under sid does not work with perl 5.8 any more

 -- Andreas Tille <tille@debian.org>  Thu, 29 May 2008 08:26:37 +0200

findimagedupes (2.7-2) unstable; urgency=low

  * Fix missing shared library dependency by adding
    Depends: ${shlibs:Depends}
  * Move Homepage from description to tags

 -- Andreas Tille <tille@debian.org>  Thu, 17 Jan 2008 22:21:07 +0100

findimagedupes (2.7-1) unstable; urgency=low

  * New upstream version
    Closes: #454132
  * Added watch file
  * Create man page via pod2man
  * Do not auto create debian/control
  * Standards-Version: 3.7.3 (no changes needed)
  * Depends libgraphics-magick-perl instead of perlmagick

 -- Andreas Tille <tille@debian.org>  Fri, 07 Dec 2007 21:24:07 +0100

findimagedupes (0.2-2) unstable; urgency=low

  * We need every single Depency also in Build-Depends because
    the program is called at build time.  So perlmagick was
    added to Build-Depends
    Closes: #388719

 -- Andreas Tille <tille@debian.org>  Fri, 22 Sep 2006 10:51:05 +0200

findimagedupes (0.2-1) unstable; urgency=low

  * New upstream version
    Closes: #388124, #388139
    Quoting from the annoncement this version closes the following bugs
    Closes: #86994:
        Hopefully now even harder to tickle imagemagick weaknesses.
    Closes: #86996:
        I haven't implemented Dupes:: lines output so this is a non-issue.
        My --program/--script options escape names with Perl's quotemeta()
    Closes: #87010:
        1) This version explicitly and deliberately does not do recursion.
        2) This version can read a file-list from stdin.
    Closes: #87013:
        Integrated in new --program/--script options, which use this
        algorithm to merge pairs of matches into sets before output.
    Closes: #87017:
        Integrated in new --add option.
    Closes: #87024:
        Pure Perl comparison replaced by new integrated C function.


=== debian/control ===
Source: findimagedupes
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Manuel Prinz <manuel@debian.org>
Section: graphics
Priority: optional
Build-Depends: cdbs,
               debhelper (>= 10~),
               libfile-mimeinfo-perl,
               libgraphics-magick-perl,
               libinline-perl,
               libinline-c-perl | libinline-perl (<< 0.57~)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/findimagedupes
Vcs-Git: https://salsa.debian.org/science-team/findimagedupes.git
Homepage: http://www.jhnc.org/findimagedupes/

Package: findimagedupes
Architecture: any
Depends: ${perl:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libgraphics-magick-perl,
         libfile-mimeinfo-perl,
         libinline-perl,
         libinline-c-perl | libinline-perl (<< 0.57~)
Description: Finds visually similar or duplicate images
 findimagedupes is a commandline utility which performs a rough
 "visual diff" to two images. This allows you to compare two
 images or a whole tree of images and determine if any are
 similar or identical. On common image types, findimagedupes
 seems to be around 98% accurate.

=== debian/watch ===
version=3

http://www.jhnc.org/findimagedupes/findimagedupes-(.*).tar.gz

## findimagedupes 2.19.1

=== debian/changelog ===
findimagedupes (2.19.1-1build1) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:53:15 +0100

findimagedupes (2.19.1-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * Replace cdbs by dh
  * Point watch file to Github
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-3+.
  * Apply multi-arch hints.
    + findimagedupes: Add Multi-Arch: same.
  * watch file standard 4 (routine-update)
  * Set hardening options
  * Add autopkgtest
  * For the moment disable reprotest which fails
  * Declare image files as binaries
  * Fix autopkgtest

  [ Étienne Mollier ]
  * d/rules: define missing pkg variable to the package name
  * added propagate-flags.patch: ensures the C part is compiled with hardening

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sun, 18 Apr 2021 17:38:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
            Manuel Prinz <manuel@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: cdbs,
-               debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 13),
                libfile-mimeinfo-perl,
                libgraphics-magick-perl,
                libinline-perl,
-               libinline-c-perl | libinline-perl (<< 0.57~)
-Standards-Version: 4.3.0
+               libinline-c-perl
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/findimagedupes
 Vcs-Git: https://salsa.debian.org/science-team/findimagedupes.git
 Homepage: http://www.jhnc.org/findimagedupes/
+Rules-Requires-Root: no
 
 Package: findimagedupes
 Architecture: any
@@ -23,7 +23,8 @@
          libgraphics-magick-perl,
          libfile-mimeinfo-perl,
          libinline-perl,
-         libinline-c-perl | libinline-perl (<< 0.57~)
+         libinline-c-perl
+Multi-Arch: same
 Description: Finds visually similar or duplicate images
  findimagedupes is a commandline utility which performs a rough
  "visual diff" to two images. This allows you to compare two

=== debian/rules ===
#!/usr/bin/make -f
pkg=findimagedupes
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	# Bug #531145: Removing installation instructions from the manpage, as
	# they are useless if the package is installed. Upstream has no other
	# documentation, so this section will stay in upstream's version.
	if grep -q '^=head1 INSTALLATION' $(pkg); then \
        sed -i.pristine '/^=head1 INSTALLATION/,/^=head1 /{/^=head1 OPTIONS/p;d;}' \
		$(pkg); fi
	# Upstream has now updated README himself in version 2.18
	# It might be reasonable to create the README this way anyway
	# pod2text findimagedupes > ./tmp/README
	dh_auto_build

override_dh_clean:
	[ ! -f findimagedupes.pristine ] || mv findimagedupes.pristine findimagedupes
	dh_clean

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/jhnc/findimagedupes/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## findimagedupes 2.20.1

=== debian/changelog ===
findimagedupes (2.20.1-4) unstable; urgency=medium

  * d/control: build depends on perl-xs-dev. (Closes: #1102813)
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.
  * d/watch: convert to v5 Github template.
  * debian_patches.patch: normalize Last-Update field.

 -- Étienne Mollier <emollier@debian.org>  Thu, 13 Nov 2025 19:50:30 +0100

findimagedupes (2.20.1-3) unstable; urgency=medium

  * d/clean: new: clean build artifacts. (Closes: #1044205)

 -- Étienne Mollier <emollier@debian.org>  Fri, 08 Dec 2023 15:23:10 +0100

findimagedupes (2.20.1-2) unstable; urgency=medium

  * d/rules: prepare the version per upstream procedure. (Closes: #1023939)
  * d/t/check-version: add test to avoid void output from --version.
  * d/C.pm.stub: hardwire cc and linker flags; resolve warning messages.
    (Closes: #1023938)
  * debian_patches.patch: mark forwarding as not-needed.
  * d/control: add myself to uploaders.
  * d/copyright: bump year and add myself to holders.

 -- Étienne Mollier <emollier@debian.org>  Sun, 13 Nov 2022 11:17:53 +0100

findimagedupes (2.20.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version  (Closes: #1023772)
  * Standards-Version: 4.6.1 (routine-update)
  * d/*.stub: add files to prepare more robust patch set.
  * d/rules: autogenerate C code from C.pm.stub and upstream.
    (Closes: #1009614)
  * d/patches/: adjust patch set to the new stubs layout:
    + Patches deleted:
      - Makefile.PL.patch
      - new-inline.patch
      - propagate-flags.patch
    + Patch refreshed:
      - debian_patches.patch

 -- Étienne Mollier <emollier@debian.org>  Sat, 12 Nov 2022 11:47:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: findimagedupes
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Manuel Prinz <manuel@debian.org>
+           Manuel Prinz <manuel@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: graphics
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libfile-mimeinfo-perl,
                libgraphics-magick-perl,
                libinline-perl,
-               libinline-c-perl
-Standards-Version: 4.5.1
+               libinline-c-perl,
+               perl-xs-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/findimagedupes
 Vcs-Git: https://salsa.debian.org/science-team/findimagedupes.git
 Homepage: http://www.jhnc.org/findimagedupes/
-Rules-Requires-Root: no
 
 Package: findimagedupes
 Architecture: any
@@ -24,7 +25,6 @@
          libfile-mimeinfo-perl,
          libinline-perl,
          libinline-c-perl
-Multi-Arch: same
 Description: Finds visually similar or duplicate images
  findimagedupes is a commandline utility which performs a rough
  "visual diff" to two images. This allows you to compare two

=== debian/watch ===
Version: 5

Template: Github
Owner: jhnc
Project: findimagedupes
